LSH_PROXY(1)

NAME
lsh_proxy - Server for the ssh-2 protocol.

SYNOPSIS
lsh_proxy [options]

DESCRIPTION
This manual page documents briefly the lsh_proxy command.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

-D, --destination=destination:port
    Destination ssh server address (transparent if not given).

-h, --host-key=key-file
    Location of the server's public key.

--interface=interface
    Listen on this network interface.

--no-tcp-forward
    Disable TCP/IP forwarding.

-p, --port=port
    Listen on this port.

--tcp-forward
    Enable TCP/IP forwarding (default).

-c, --crypto=crypto-algorithm
    The crypto algorithm to use. Supported types of crypto-algorithm (in order of preference) are "3des-cbc", "twofish-cbc", "cast128-cbc", "serpent-cbc@lysator.liu.se", "rijndael@lysator.liu.se", "blowfish-cbc", "arcfour", "none". The default is to use triple-DES in CBC mode ("3des-cbc"). You may also specify "all" to enable all supported crypto algorithms (except "none").

--hostkey-algorithm=hostkey-algorithm
    The hostkey algorithm to use. Supported types of hostkey-algorithm (in order of preference) are "ssh-dss", "spki", "none".

-m, --mac=mac-algorithm
    The MAC (message authentication) algorithm to use. Supported types of mac-algorithm (in order of preference) are "hmac-sha1", "hmac-md5", "none".

-z, --compression[=compression-algorithm]
    The compression algorithm to use. Supported types of compression-algorithm are "none", "zlib". The default preference list supports zlib compression, but prefers not to use it. If -z or --compression is specified with no argument, the compression algorithm list is changed to "zlib", "none", which means that zlib is the preferred method of compression. A somewhat unobvious consequence of -z having an optional argument is that if you provide an argument, it must follow directly after the option letter, no spaces allowed.

--list-algorithms
    List supported crypto, compression, MAC and hostkey algorithms.

-i, --input-format=format
    Accept S-expressions of format format.

--daemonic
    Run in the background, redirect stdio to /dev/null, chdir to /.

--enable-core
    Dump core on fatal errors (disabled by default).

--no-daemonic
    Run in the foreground, with messages to stderr (default).

--no-pid-file
    Don't use any pid file. Default in non-daemonic mode.

--pid-file=pid-file
    Create pid file pid-file. When running in daemonic mode, the default is /var/run/lsh_proxy.pid.

--debug
    Print huge amounts of debug information.

-q, --quiet
    Suppress all warnings and diagnostic messages.

--trace
    Print a detailed program trace.

--verbose
    Print verbose diagnostic messages.

-?, --help
    Show summary of options.

--usage
    Give a short usage message.

-V, --version
    Show version of program.

SEE ALSO
lsh(1). lshd(8) The programs are documented fully by Lsh, available via the Info system.

AUTHOR
This manual page was written by Robert Bihlmeyer <robbe@orcus.priv.at>, for the Debian GNU/Linux system (but may be used by others).